petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLineSearchGetVIFunctions

Sets VI-specific functions for line search computation.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetVIFunctions(SNESLineSearch linesearch, SNESLineSearchVIProjectFunc *projectfunc, SNESLineSearchVINormFunc *normfunc)

### Input Parameters

linesearch -the line search context, obtain with SNESGetLineSearch()

### Output Parameters

| projectfunc | - function for projecting the function to the bounds
| normfunc | - function for computing the norm of an active set

Logically Collective on SNES

### Keywords

SNES, line search, VI, nonlinear, get, line search

### See Also

SNESLineSearchSetVIFunctions(), SNESLineSearchGetPostCheck(), SNESLineSearchGetPreCheck()

### Level

developer

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages